org.keycloak.models.sessions.infinispan.stream

## Class Mappers

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.stream.Mappers

-     public class Mappers
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mappers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.function.Function<Map.Entry<String,SessionEntity>,String>` | `clientSessionToUserSessionId()`
    `static java.util.function.Function<Map.Entry<String,SessionEntity>,UserSessionTimestamp>` | `clientSessionToUserSessionTimestamp()`
    `static java.util.function.Function<Map.Entry<LoginFailureKey,LoginFailureEntity>,LoginFailureKey>` | `loginFailureId()`
    `static java.util.function.Function<Map.Entry<String,SessionEntity>,SessionEntity>` | `sessionEntity()`
    `static java.util.function.Function<Map.Entry<String,SessionEntity>,String>` | `sessionId()`
    `static java.util.function.Function<Map.Entry<String,Optional<UserSessionTimestamp>>,UserSessionTimestamp>` | `userSessionTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mappers

          public Mappers()

  - ### Method Detail

    - #### clientSessionToUserSessionTimestamp

          public static java.util.function.Function<Map.Entry<String,SessionEntity>,UserSessionTimestamp> clientSessionToUserSessionTimestamp()

    - #### userSessionTimestamp

          public static java.util.function.Function<Map.Entry<String,Optional<UserSessionTimestamp>>,UserSessionTimestamp> userSessionTimestamp()

    - #### sessionId

          public static java.util.function.Function<Map.Entry<String,SessionEntity>,String> sessionId()

    - #### sessionEntity

          public static java.util.function.Function<Map.Entry<String,SessionEntity>,SessionEntity> sessionEntity()

    - #### loginFailureId

          public static java.util.function.Function<Map.Entry<LoginFailureKey,LoginFailureEntity>,LoginFailureKey> loginFailureId()

    - #### clientSessionToUserSessionId

          public static java.util.function.Function<Map.Entry<String,SessionEntity>,String> clientSessionToUserSessionId()

Copyright © 2016 JBoss by Red Hat. All rights reserved.